EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • GET
                    List algorithm definitions
                  • POST
                    Create a algorithm definition
                  • GET
                    Get a algorithm definition
                  • GET
                    List revisions for a algorithm definition
                  • POST
                    Create a revision
                  • POST
                    Create a publication request
                  • POST
                    Create a revocation
                  • POST
                    Create a image ref validation
                  • GET
                    Get a container run
                  • GET
                    List log downloads for a container run
                  • GET
                    List outdated outputs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List workflows for a version
                  • POST
                    Create a workflow backfill
                  • GET
                    List workflow bindings for a project
                  • PUT
                    Update a workflow binding
                  • POST
                    Create a workflow run plan
                  • GET
                    List workflow runs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List recent quality jobs for a me
                  • GET
                    List workflow definitions
                  • POST
                    Create a workflow definition
                  • DELETE
                    Delete a workflow definition
                  • GET
                    Get a workflow definition
                  • PATCH
                    Update a workflow definition
                  • POST
                    Create a revision
                  • GET
                    Get a revision
                  • PUT
                    Update a revision
                  • PUT
                    Update a layout
                  • POST
                    Create a publication
                  • GET
                    Get a workflow run
                  • POST
                    Create a cancellation request
                  • GET
                    List container runs for a workflow run
                  • GET
                    List recordings for a workflow run
                  • POST
                    Create a rerun request
                  • GET
                    List steps for a workflow run
                  • GET
                    Get a workflow step run
                  • POST
                    Create a download session
                  • GET
                    List log tail for a workflow step run
                  • GET
                    List outputs for a workflow step run
                  • POST
                    Create a workflow validation
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Workflows
                              4. Get a workflow run

                              Get a workflow run

                              GET
                              /v1/workflow-runs/{runId}
                              curl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • runIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • snapshotobject | nullrequired
                                • curateobject | nullrequired
                                • summaryobjectrequired
                                • countsobjectrequired
                                • statusstring
                                • recordingCountnumber
                                • workflowNamestring | null
                                • failureobject
                                • idstring
                                • projectIdstring | null
                                • modestring
                                • triggerstring | null
                                • runGroupIdstring | null
                                • estimateobject
                                • specHashstring | null
                                • errorCodestring | null
                                • createdAtstring | null
                                • startedAtstring | null
                                • finishedAtstring | null
                                • cancelRequestedAtstring | null
                              Response example
                              {
                                "data": {
                                  "snapshot": {
                                    "contract": "embodiflow-run-snapshot/v1",
                                    "workflow": {
                                      "apiVersion": "embodiflow-workflow/v1",
                                      "name": "string",
                                      "type": "export",
                                      "steps": [
                                        {
                                          "id": "string",
                                          "uses": "string",
                                          "inputs": {},
                                          "with": {},
                                          "when": [],
                                          "onFail": "continue"
                                        }
                                      ],
                                      "output": {
                                        "recording": "string",
                                        "features": "string",
                                        "checks": "string",
                                        "episodes": "string",
                                        "selection": "string",
                                        "artifact": "string"
                                      },
                                      "description": "string",
                                      "params": {}
                                    },
                                    "steps": {},
                                    "merge": {
                                      "resolvedUses": "string",
                                      "revisionId": "string"
                                    },
                                    "layout": {
                                      "owner": "tenant",
                                      "workflowDefinitionId": "string",
                                      "workflowRevisionId": "string"
                                    }
                                  },
                                  "curate": {
                                    "kept": 0,
                                    "dropped": 0,
                                    "createdVersionId": "string",
                                    "createdVersionNumber": 0,
                                    "versionCreated": false,
                                    "outcome": "created"
                                  },
                                  "summary": {
                                    "session": {},
                                    "recording": {},
                                    "batch": {},
                                    "version": {}
                                  },
                                  "counts": {
                                    "stepRuns": 0,
                                    "recordings": 0,
                                    "cached": 0
                                  },
                                  "status": "string",
                                  "recordingCount": 0,
                                  "workflowName": "string",
                                  "failure": {
                                    "code": "string",
                                    "reason": "string",
                                    "stepId": "string",
                                    "stepName": "string",
                                    "stepAlgorithm": {
                                      "slug": "string",
                                      "title": "string",
                                      "official": false
                                    },
                                    "stepRunId": "string",
                                    "runId": "string",
                                    "stepErrorCode": "string"
                                  },
                                  "id": "string",
                                  "projectId": "string",
                                  "mode": "string",
                                  "trigger": "string",
                                  "runGroupId": "string",
                                  "estimate": {},
                                  "specHash": "string",
                                  "errorCode": "string",
                                  "createdAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "cancelRequestedAt": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /workflow-definitions/{id}/revisions/{revision}/publication

                              Next

                              POST /workflow-runs/{runId}/cancellation-requests

                              curl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "snapshot": {
                                    "contract": "embodiflow-run-snapshot/v1",
                                    "workflow": {
                                      "apiVersion": "embodiflow-workflow/v1",
                                      "name": "string",
                                      "type": "export",
                                      "steps": [
                                        {
                                          "id": "string",
                                          "uses": "string",
                                          "inputs": {},
                                          "with": {},
                                          "when": [],
                                          "onFail": "continue"
                                        }
                                      ],
                                      "output": {
                                        "recording": "string",
                                        "features": "string",
                                        "checks": "string",
                                        "episodes": "string",
                                        "selection": "string",
                                        "artifact": "string"
                                      },
                                      "description": "string",
                                      "params": {}
                                    },
                                    "steps": {},
                                    "merge": {
                                      "resolvedUses": "string",
                                      "revisionId": "string"
                                    },
                                    "layout": {
                                      "owner": "tenant",
                                      "workflowDefinitionId": "string",
                                      "workflowRevisionId": "string"
                                    }
                                  },
                                  "curate": {
                                    "kept": 0,
                                    "dropped": 0,
                                    "createdVersionId": "string",
                                    "createdVersionNumber": 0,
                                    "versionCreated": false,
                                    "outcome": "created"
                                  },
                                  "summary": {
                                    "session": {},
                                    "recording": {},
                                    "batch": {},
                                    "version": {}
                                  },
                                  "counts": {
                                    "stepRuns": 0,
                                    "recordings": 0,
                                    "cached": 0
                                  },
                                  "status": "string",
                                  "recordingCount": 0,
                                  "workflowName": "string",
                                  "failure": {
                                    "code": "string",
                                    "reason": "string",
                                    "stepId": "string",
                                    "stepName": "string",
                                    "stepAlgorithm": {
                                      "slug": "string",
                                      "title": "string",
                                      "official": false
                                    },
                                    "stepRunId": "string",
                                    "runId": "string",
                                    "stepErrorCode": "string"
                                  },
                                  "id": "string",
                                  "projectId": "string",
                                  "mode": "string",
                                  "trigger": "string",
                                  "runGroupId": "string",
                                  "estimate": {},
                                  "specHash": "string",
                                  "errorCode": "string",
                                  "createdAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "cancelRequestedAt": "string"
                                }
                              }